﻿@model LAP.Areas.Adviser.Models.ClientViewModel
<div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title">Client Basic Details</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <i aria-hidden="true" class="ki ki-close"></i>
            </button>
        </div>
        <form action="adviser/home/saveclient" class="form fv-plugins-bootstrap fv-plugins-framework" id="client-basic-frm" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithRedirectRiskArc">
            <div class="modal-body">
                <input type="hidden" value="adviser_list" id="hdnParentTable">
                <input type="hidden" asp-for="Id" />
                <input type="hidden" asp-for="Guid" />
                <input type="hidden" asp-for="FromView" value="ClientBasicDetail" />
                <input id="RsikArcVersion" type="hidden" />
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>First Name</label>
                            <input asp-for="ClientInfo.FirstName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="ClientInfo.FirstName" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>Middle Name</label>
                            <input asp-for="ClientInfo.MiddleInitial" class="form-control form-control-lg capitalize">
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>Last Name</label>
                            <input asp-for="ClientInfo.LastName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="ClientInfo.LastName" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="ClientInfo.DateOfBirth"></label>
                            <div class="input-group date datepicker-control">
                                <input type="text" asp-for="ClientInfo.DateOfBirth" asp-format="{0:MM'/'dd'/'yyyy}" class="form-control form-control-lg datemask">
                                <div class="input-group-append">
                                    <span class="input-group-text">
                                        <i class="far fa-calendar-alt"></i>
                                    </span>
                                </div>
                            </div>
                            <span asp-validation-for="ClientInfo.DateOfBirth" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group disabled-div">
                            <label>Email Address</label>
                            <input asp-for="Email" class="form-control form-control-lg disabled">
                            <span asp-validation-for="Email" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xl-4">
                        <div class="form-group mb-5">
                            <label class="switch-label form-check-label" asp-for="IsMarried">
                                Is Married?
                            </label>
                            <div>
                                <span class="switch switch-icon switch-sm switch-custom">
                                    <label>
                                        <input type="checkbox" asp-for="IsMarried">
                                        <span></span>
                                    </label>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <hr class="spouse d-none" />
                <h4 class="text-primary spouse d-none">Spouse Details</h4>
                <div class="row spouse d-none">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>First Name</label>
                            <input asp-for="SpouseInfo.FirstName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="SpouseInfo.FirstName" class="text-danger"></span>
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>Middle Name</label>
                            <input asp-for="SpouseInfo.MiddleInitial" class="form-control form-control-lg capitalize">
                        </div>
                    </div>
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label>Last Name</label>
                            <input asp-for="SpouseInfo.LastName" class="form-control form-control-lg capitalize">
                            <span asp-validation-for="SpouseInfo.LastName" class="text-danger"></span>
                        </div>
                    </div>
                </div>
                <div class="row spouse d-none">
                    <div class="col-xl-4">
                        <div class="form-group">
                            <label asp-for="SpouseInfo.DateOfBirth"></label>
                            <div class="input-group date datepicker-control">
                                <input type="text" asp-for="SpouseInfo.DateOfBirth" asp-format="{0:MM'/'dd'/'yyyy}" class="form-control form-control-lg datemask">
                                <div class="input-group-append">
                                    <span class="input-group-text">
                                        <i class="far fa-calendar-alt"></i>
                                    </span>
                                </div>
                            </div>
                            <span asp-validation-for="SpouseInfo.DateOfBirth" class="text-danger"></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary font-weight-bold" id="btn_submit_client">
                    <i class="la la-save"></i> Save
                </button>
            </div>
        </form>
    </div>
</div>
<script type="text/javascript">
    $(".datemask").inputmask("99/99/9999", { "placeholder": "mm/dd/yyyy" });
    var showHideMarried = function(checked){
        if (checked)
            $(".spouse").removeClass("d-none");
        else
        {
            $(".spouse").addClass("d-none");
            $(".spouse input").val("");
            $(".spouse input").removeClass("input-validation-error");
            $(".spouse .field-validation-error").text("");
            $(".spouse .field-validation-error").removeClass("field-validation-error");
        }
    }
    var checked=$("#IsMarried").is(":checked");
    showHideMarried(checked);
    $('#IsMarried').change(function (e) {
        var checked=$(e.target).is(":checked");
        showHideMarried(checked);
    });
</script>